#include <bits/stdc++.h>
#include "guess.h"

using namespace std;

#define fr(n) for(int i = 0; i<n; i++)
#define x first
#define y second
#define srt(v) sort(v.begin(), v.end())
#define ll long long
#define vi vector<int>
#define vpi vector<pi>
#define vvi vector<vi>
#define pi pair<int,int>
#define vll vector<ll>
const ll mod = 1000000007;

int find_number(int r)
{
    int l = 1;
    while(l<r){
        int a = (l+r+1)/2;
        if(smaller(a))
            r = a-1;
        else
            l = a;
    }
    return r;
}